Subject: Re: [arch-d] Call for Comment: <draft-ietf-iasa2-rfc4844-bis-02> (The RFC Series and RFC Editor)

From: Russ Housley <[email-masked]>
Date: Mon, 14 Oct 2019 15:45:25 -0400

Alissa:

> Section 3.3:
> 
> The first paragraph of this section fails to mention the IAB and RSOC, which according to RFC 6635 have oversight roles. It seems incorrect to claim that operational oversight is solely the responsibility of IASA.
> 
> The second paragraph is superfluous since the roles of the LLC Board and ED are defined in rfc4071bis, so I think for clarity it should be removed.
> 
> The resulting changes could appear as follows:
> 
> OLD 
> The IETF Administration Limited Liability Company (IETF LLC), as part of the IETF Administrative Support Activity (IASA), is responsible for administrative and financial matters for the IETF, the IAB, and the Internet Research Task Force (IRTF) [I-D.ietf-iasa2-rfc4071bis]. The IASA is tasked with providing the funding for and operational oversight of the RFC Editor.
> 
> The IETF LLC Board provides oversight of the IASA, and the IETF Executive Director is the chief actor for the IASA.
> 
> The IETF Executive Director works with the IAB to identify suitable persons or entities to fulfill the mandate of the RFC Editor.
> 
> NEW 
> The IETF Administration Limited Liability Company (IETF LLC), as part of the IETF Administrative Support Activity (IASA), is responsible for administrative and financial matters for the IETF, the IAB, and the Internet Research Task Force (IRTF) [I-D.ietf-iasa2-rfc4071bis].The IASA is tasked with providing the funding for the RFC Editor. The IASA, the IAB, and the RFC Series Oversight Committee (RSOC) provide operational oversight of the RFC Editor.
> 
> The IETF Executive Director works with the IAB to identify suitable persons or entities to fulfill the mandate of the RFC Editor.

The RSOC is not otherwise mentioned in this document, so to bring the RSOC into this discussion, I think a bit more context is needed.  I suggest:

   The IETF Administration Limited Liability Company (IETF LLC), as part
   of the IETF Administrative Support Activity (IASA), is responsible
   for administrative and financial matters for the IETF, the IAB, and
   the Internet Research Task Force (IRTF) [I-D.ietf-iasa2-rfc4071bis].
   The IASA is tasked with providing the funding for the RFC Editor.
   The IASA and the IAB provide operational oversight of the RFC Editor;
   however, as described in Section 3.1 of [I-D.ietf-iasa2-rfc6635bis],
   RFC Series Oversight Committee (RSOC), acting with authority
   delegated from the IAB, is responsible for ensuring that the RFC
   Series is run in a transparent and accountable manner, including
   design and execution of the RFC Series Editor selection process.

   The IETF Executive Director works with the IAB to identify suitable
   persons or entities to fulfill the mandate of the RFC Production
   Center and the RFC Publisher roles as defined in
   [I-D.ietf-iasa2-rfc6635bis].

> Section 7:
> 
> I would suggest the following to make the text consistent with rfc4071bis Sec. 4.2:
> 
> OLD
>   Under the new structure, the IETF LLC performs the tasks that were
>   previously assigned to the IETF Administrative Oversight Committee
>   (IAOC) under the old structure.
> 
> NEW
>   Under the new structure, the IETF LLC performs the tasks related to IASA that were
>   previously assigned to the IETF Administrative Director and to the Internet Society.

Sure.  That is an improvement.

Russ

---

From: "Leslie Daigle" <[email-masked]>
Date: Tue, 15 Oct 2019 10:09:15 -0400

I agree that the second point is improved wording.

However on the first point, while I agree a rewrite is in order, I think 
Alissa’s suggested text, and your refinements, are taking us a bit off 
track.

In-line:

On 14 Oct 2019, at 15:45, Russ Housley wrote:

> Alissa:
>
>> Section 3.3:
>>
>> The first paragraph of this section fails to mention the IAB and 
>> RSOC, which according to RFC 6635 have oversight roles. It seems 
>> incorrect to claim that operational oversight is solely the 
>> responsibility of IASA.
>>
>> The second paragraph is superfluous since the roles of the LLC Board 
>> and ED are defined in rfc4071bis, so I think for clarity it should be 
>> removed.
>>
>> The IASA is tasked with providing the funding for and operational 
>> oversight of the RFC Editor.
>>
>> The IETF LLC Board provides oversight of the IASA, and the IETF 
>> Executive Director is the chief actor for the IASA.
>>
>> persons or entities to fulfill the mandate of the RFC Editor.
>>
>> NEW
>> the Internet Research Task Force (IRTF) 
>> [I-D.ietf-iasa2-rfc4071bis].The IASA is tasked with providing the 
>> funding for the RFC Editor. The IASA, the IAB, and the RFC Series 
>> Oversight Committee (RSOC) provide operational oversight of the RFC 
>> Editor.

Oh, boy, operational oversite from 3 independent bodies!   Sounds like 
serving 3 masters, and two is already discouraged in most literature.

The original intent was to make the distinction between oversight of 
substantive matters (which fell to the IAB, and now its delegate, the 
RSOC) and contractual, day-to-day matters, which falls to the admin side 
of the house.

I think we need to continue to make some version of that distinction 
(and, evidently clearer than it was originally written).

I also note that the original text, convoluted as it had become, made 
the IAD/IETF Executive Director, in charge of those contracts.  If we 
simply say “the IASA”, we introduce an infelicitous fourth potential 
oversight body, in the shape of the IASA LLC Board.  There is nothing in 
this setup that rises to the level of the involvement of the IASA LLC 
Board, except in its normal oversight of the exec dir.

Straw text:

The IETF Administration Limited Liability Company (IETF LLC), as part
    of the IETF Administrative Support Activity (IASA), is responsible
    for administrative and financial matters for the IETF, the IAB, and
    the Internet Research Task Force (IRTF) [I-D.ietf-iasa2-rfc4071bis].
    The IASA is tasked with providing the funding for the RFC Editor.  
The IASA (through the IETF Executive Director) provides contractual and 
financial oversight of the RFC Editor.  Additionally, as described in 
Section 3.1 of [I-D.ietf-iasa2-rfc6635bis],
    RFC Series Oversight Committee (RSOC), acting with authority
    delegated from the IAB, is responsible for ensuring that the RFC
    Series is run in a transparent and accountable manner, including
    design and execution of the RFC Series Editor selection process.

Leslie.

>> persons or entities to fulfill the mandate of the RFC Editor.
>
> The RSOC is not otherwise mentioned in this document, so to bring the 
> RSOC into this discussion, I think a bit more context is needed.  I 
> suggest:
>
> _______________________________________________
> Architecture-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/architecture-discuss

-- 

-------------------------------------------------------------------
Leslie Daigle
Principal, ThinkingCat Enterprises
[email-masked]
-------------------------------------------------------------------

---

From: Russ Housley <[email-masked]>
Date: Tue, 15 Oct 2019 12:22:15 -0400

Leslie:

Works for me.  

Russ

> On Oct 15, 2019, at 10:09 AM, Leslie Daigle <[email-masked]> wrote:
> 
> However on the first point, while I agree a rewrite is in order, I think Alissa’s suggested text, and your refinements, are taking us a bit off track.
> 
> In-line:
> 
> Oh, boy, operational oversite from 3 independent bodies! Sounds like serving 3 masters, and two is already discouraged in most literature.
> 
> The original intent was to make the distinction between oversight of substantive matters (which fell to the IAB, and now its delegate, the RSOC) and contractual, day-to-day matters, which falls to the admin side of the house.
> 
> I think we need to continue to make some version of that distinction (and, evidently clearer than it was originally written).
> 
> I also note that the original text, convoluted as it had become, made the IAD/IETF Executive Director, in charge of those contracts. If we simply say “the IASA”, we introduce an infelicitous fourth potential oversight body, in the shape of the IASA LLC Board. There is nothing in this setup that rises to the level of the involvement of the IASA LLC Board, except in its normal oversight of the exec dir.
> 
> Straw text:
> 
> The IASA is tasked with providing the funding for the RFC Editor. The IASA (through the IETF Executive Director) provides contractual and financial oversight of the RFC Editor. Additionally, as described in Section 3.1 of [I-D.ietf-iasa2-rfc6635bis],
> https://www.ietf.org/mailman/listinfo/architecture-discuss <https://www.ietf.org/mailman/listinfo/architecture-discuss>
> --
> 
> Leslie Daigle
> [email-masked] <mailto:[email-masked]>

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 15 Oct 2019 13:25:05 -0400

WFM
Alissa

> On Oct 15, 2019, at 12:22 PM, Russ Housley <[email-masked]> wrote:
> 
> Leslie:
> 
> Works for me.  
> 
> Russ
> 
> 
>> On Oct 15, 2019, at 10:09 AM, Leslie Daigle <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> [email-masked] <mailto:[email-masked]>

---

From: Ted Hardie <[email-masked]>
Date: Tue, 15 Oct 2019 10:57:13 -0700

Hi Russ,

If everyone is okay with this text, can you update the draft?  I'll bring
it to an IAB meeting (probably week after next, but possible the one after
that, depending on the other agenda items).

thanks,

Ted

On Tue, Oct 15, 2019 at 10:25 AM Alissa Cooper <[email-masked]> wrote:

> The first paragraph of this section fails to mention the IAB and RSOC,
> which according to RFC 6635 have oversight roles. It seems incorrect to
> claim that operational oversight is solely the responsibility of IASA.
>
> The second paragraph is superfluous since the roles of the LLC Board and
> ED are defined in rfc4071bis, so I think for clarity it should be removed.
>
> The IETF Administration Limited Liability Company (IETF LLC), as part of
> the IETF Administrative Support Activity (IASA), is responsible for
> administrative and financial matters for the IETF, the IAB, and the
> Internet Research Task Force (IRTF) [I-D.ietf-iasa2-rfc4071bis]. The IASA
> is tasked with providing the funding for and operational oversight of the
> RFC Editor.
>
> The IETF LLC Board provides oversight of the IASA, and the IETF Executive
> Director is the chief actor for the IASA.
>
> The IETF Administration Limited Liability Company (IETF LLC), as part of
> the IETF Administrative Support Activity (IASA), is responsible for
> administrative and financial matters for the IETF, the IAB, and the
> Internet Research Task Force (IRTF) [I-D.ietf-iasa2-rfc4071bis].The IASA is
> tasked with providing the funding for the RFC Editor. The IASA, the IAB,
> and the RFC Series Oversight Committee (RSOC) provide operational oversight
> of the RFC Editor.
>
> substantive matters (which fell to the IAB, and now its delegate, the RSOC)
> and contractual, day-to-day matters, which falls to the admin side of the
> house.
>
> I think we need to continue to make some version of that distinction (and,
> evidently clearer than it was originally written).
>
> I also note that the original text, convoluted as it had become, made the
> IAD/IETF Executive Director, in charge of those contracts. If we simply say
> “the IASA”, we introduce an infelicitous fourth potential oversight body,
> in the shape of the IASA LLC Board. There is nothing in this setup that
> rises to the level of the involvement of the IASA LLC Board, except in its
> normal oversight of the exec dir.
>
> Straw text:
>
> The IASA is tasked with providing the funding for the RFC Editor. The IASA
> (through the IETF Executive Director) provides contractual and financial
> oversight of the RFC Editor. Additionally, as described in Section 3.1 of
> [I-D.ietf-iasa2-rfc6635bis],
> The RSOC is not otherwise mentioned in this document, so to bring the RSOC
> into this discussion, I think a bit more context is needed. I suggest:
>
> ------------------------------
>
> Leslie Daigle

---

From: Russ Housley <[email-masked]>
Date: Tue, 15 Oct 2019 15:19:03 -0400

Done.  I just posted -04.

Russ

> On Oct 15, 2019, at 1:57 PM, Ted Hardie <[email-masked]> wrote:
> 
> Hi Russ,
> 
> If everyone is okay with this text, can you update the draft?  I'll bring it to an IAB meeting (probably week after next, but possible the one after that, depending on the other agenda items).
> 
> thanks,
> 
> Ted
> 
> On Tue, Oct 15, 2019 at 10:25 AM Alissa Cooper <[email-masked] <mailto:[email-masked]>> wrote:
> WFM
> Alissa
> 
>> On Oct 15, 2019, at 12:22 PM, Russ Housley <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Leslie:
>> 
>> Works for me.  
>> 
>> Russ
>> 
>>